libreboot

Unnamed repository; edit this file 'description' to name the repository.
Log | Files | Refs | README

commit 02a3f5e4cfcdbb512360ab44ff077e7a2e30eb19
parent f27fed3d49d09aa1dc0e2acd462fba48e6adbbe2
Author: Swift Geek <swiftgeek@gmail.com>
Date:   Fri, 22 Feb 2019 06:14:44 +0000

Merge branch 'headers-footers' of and_who/libreboot into master

Diffstat:
libs/project | 5+++--
libs/tool | 6++++--
2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/libs/project b/libs/project @@ -152,12 +152,13 @@ project_action() { project_action_check "$action" "$project" "$@" - printf 1>&2 '%s\n' "Project $project $action (with ${arguments:-no argument})" + printf '%s\n' "Project $project $action (with ${arguments:-no argument})" if "$action" "$@"; then - printf 1>&2 '\n%s\n' "Project $project $action (with ${arguments:-no argument}) completed" + printf '\n%s\n' "Project $project $action (with ${arguments:-no argument}) completed" else printf 1>&2 '\n%s\n' "Project $project $action (with ${arguments:-no argument}) failed" + return 1 fi ) diff --git a/libs/tool b/libs/tool @@ -97,19 +97,21 @@ tool_action() { return 0 fi - printf 1>&2 '%s\n' "Tool $tool $action (with ${arguments:-no argument})" + printf '%s\n' "Tool $tool $action (with ${arguments:-no argument})" ( set -e + "$action" "$@" ) if [[ $? -ne 0 ]] then printf 1>&2 '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) failed" + return 1 else - printf 1>&2 '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) completed" + printf '\n%s\n' "Tool $tool $action (with ${arguments:-no argument}) completed" fi ) }